Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.sql.runner
Interface SqlRunner

All Known Implementing Classes:
  BasicSqlRunner

    public interface SqlRunner

Method Summary
`int` | `delete(Sql sql)`
`int` | `execute(Sql sql)`
`int` | `insert(Sql sql)`
`
`<I> I`
` | `insertForId(Sql sql)`
`
`<I> I`
` | `insertForId(Sql sql, ResultSetProcessor processor)`
`
`<R> List<R>`
` | `selectForList(Sql sql)`
`
`<R> List<R>`
` | `selectForList(Sql sql, int limit, int offset)`
`
`<R> List<R>`
` | `selectForList(Sql sql, int limit, int offset, ResultSetProcessor processor)`
`
`<R> List<R>`
` | `selectForList(Sql sql, ResultSetProcessor processor)`
`
`<R> R`
` | `selectForObject(Sql sql)`
`
`<R> R`
` | `selectForObject(Sql sql, ResultSetProcessor processor)`
`int` | `update(Sql sql)`

Method Detail

### selectForObject

    <R> R selectForObject(Sql sql)

### selectForObject

    <R> R selectForObject(Sql sql,
                          ResultSetProcessor processor)

### selectForList

    <R> List<R> selectForList(Sql sql)

### selectForList

    <R> List<R> selectForList(Sql sql,
                              ResultSetProcessor processor)

### selectForList

    <R> List<R> selectForList(Sql sql,
                              int limit,
                              int offset)

### selectForList

    <R> List<R> selectForList(Sql sql,
                              int limit,
                              int offset,
                              ResultSetProcessor processor)

### insert

    int insert(Sql sql)

### insertForId

    <I> I insertForId(Sql sql)

### insertForId

    <I> I insertForId(Sql sql,
                      ResultSetProcessor processor)

### update

    int update(Sql sql)

### delete

    int delete(Sql sql)

### execute

    int execute(Sql sql)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.